Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Interface SessionLog

All Known Subinterfaces:
  SessionLog

All Known Implementing Classes:
  AbstractSessionLog

Deprecated. Please use oracle.toplink.logging.SessionLog

public interface SessionLog

SessionLog is the ever-so-simple interface used by TopLink to log generated messages and SQL. An implementor of this interface can be passed to the TopLink session (via the #setSessionLog(SessionLog) method); and all logging data will be passed through to the implementor via an instance of SessionLogEntry. This can be used to supplement debugging; or the entries could be stored in a database instead of logged to System.out; etc.

Since:
  TOPLink/Java 3.0
See Also:
  `AbstractSessionLog`, `SessionLogEntry`, `Session`

Field Summary
`static int` | `ALL` Deprecated.
`static java.lang.String` | `CACHE` Deprecated.
`static int` | `CONFIG` Deprecated.
`static java.lang.String` | `CONNECTION` Deprecated.
`static java.lang.String` | `DMS` Deprecated.
`static java.lang.String` | `EJB` Deprecated.
`static java.lang.String` | `EJB_ANNOTATION` Deprecated.
`static java.lang.String` | `EVENT` Deprecated.
`static int` | `FINE` Deprecated.
`static int` | `FINER` Deprecated.
`static int` | `FINEST` Deprecated.
`static int` | `INFO` Deprecated.
`static int` | `OFF` Deprecated.
`static java.lang.String` | `PROPAGATION` Deprecated.
`static java.lang.String` | `QUERY` Deprecated.
`static java.lang.String` | `SEQUENCING` Deprecated.
`static int` | `SEVERE` Deprecated.
`static java.lang.String` | `SQL` Deprecated.
`static java.lang.String` | `TRANSACTION` Deprecated.
`static int` | `WARNING` Deprecated.
`static java.lang.String` | `WEAVER` Deprecated.

Method Summary
`void` | `config(java.lang.String message)` Deprecated. PUBLIC: This method is called when a config level message needs to be logged.
`void` | `fine(java.lang.String message)` Deprecated. PUBLIC: This method is called when a fine level message needs to be logged.
`void` | `finer(java.lang.String message)` Deprecated. PUBLIC: This method is called when a finer level message needs to be logged.
`void` | `finest(java.lang.String message)` Deprecated. PUBLIC: This method is called when a finest level message needs to be logged.
`int` | `getLevel()` Deprecated. PUBLIC: Return the log level.
`int` | `getLevel(java.lang.String category)` Deprecated. PUBLIC: Return the log level.
`Session` | `getSession()` Deprecated. PUBLIC: Get the session that owns this SessionLog.
`java.io.Writer` | `getWriter()` Deprecated. PUBLIC: Return the writer to which an accessor writes logged messages and SQL.
`void` | `info(java.lang.String message)` Deprecated. PUBLIC: This method is called when a info level message needs to be logged.
`void` | `log(int level, java.lang.String message)` Deprecated. PUBLIC: Log a message that does not need to be translated.
`void` | `log(int level, java.lang.String message, java.lang.Object param)` Deprecated. PUBLIC: Log a message with one parameter that needs to be translated.
`void` | `log(int level, java.lang.String message, java.lang.Object[] arguments)` Deprecated. PUBLIC: This method is called when the log request is from somewhere session is not available.
`void` | `log(int level, java.lang.String message, java.lang.Object[] arguments, boolean shouldTranslate)` Deprecated. PUBLIC: This method is called when the log request is from somewhere session is not available.
`void` | `log(int level, java.lang.String message, java.lang.Object param1, java.lang.Object param2)` Deprecated. PUBLIC: Log a message with two parameters that needs to be translated.
`void` | `log(int level, java.lang.String message, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Deprecated. PUBLIC: Log a message with three parameters that needs to be translated.
`void` | `log(SessionLogEntry entry)` Deprecated. PUBLIC: TopLink will call this method whenever something needs to be logged (messages, SQL, etc.).
`void` | `log(SessionLogEntry entry)` Deprecated. Replaced by log(oracle.toplink.logging.SessionLogEntry)
`void` | `logThrowable(int level, java.lang.Throwable throwable)` Deprecated. PUBLIC: Log a throwable with level.
`void` | `setLevel(int level)` Deprecated. PUBLIC: Set the log level.
`void` | `setLevel(int level, java.lang.String category)` Deprecated. PUBLIC: Set the log level.
`void` | `setSession(Session session)` Deprecated. PUBLIC: Set the session that owns this SessionLog.
`void` | `setShouldLogDebug(boolean flag)` Deprecated. replaced by level
`void` | `setShouldLogExceptions(boolean flag)` Deprecated. replaced by level
`void` | `setShouldLogExceptionStackTrace(boolean flag)` Deprecated. By default stack trace is logged for SEVERE all the time and at FINER level for WARNING or less.
`void` | `setShouldPrintConnection(boolean flag)` Deprecated. By default the connection is always printed whenever available, this can be turned off.
`void` | `setShouldPrintDate(boolean flag)` Deprecated. By default date is printed, this can be turned off.
`void` | `setShouldPrintSession(boolean flag)` Deprecated. By default the Session is always printed whenever available, this can be turned off.
`void` | `setShouldPrintThread(boolean flag)` Deprecated. By default the thread is logged at FINE or less level, this can be turned off.
`void` | `setWriter(java.io.Writer log)` Deprecated. PUBLIC: Set the writer to which an accessor writes logged messages and SQL.
`void` | `severe(java.lang.String message)` Deprecated. PUBLIC: This method is called when a severe level message needs to be logged.
`boolean` | `shouldLog(int level)` Deprecated. PUBLIC: Check if a message of the given level would actually be logged.
`boolean` | `shouldLog(int level, java.lang.String category)` Deprecated. PUBLIC: Check if a message of the given level would actually be logged.
`boolean` | `shouldLogDebug()` Deprecated. replaced by level
`boolean` | `shouldLogExceptions()` Deprecated. replaced by level
`boolean` | `shouldLogExceptionStackTrace()` Deprecated. By default the stack trace is logged for SEVERE all the time and at FINER level for WARNING or less, this can be turned off.
`boolean` | `shouldPrintConnection()` Deprecated. By default the connection is always printed whenever available, this can be turned off.
`boolean` | `shouldPrintDate()` Deprecated. By default the date is always printed, this can be turned off.
`boolean` | `shouldPrintSession()` Deprecated. By default the Session is always printed whenever available, this can be turned off.
`boolean` | `shouldPrintThread()` Deprecated. By default the thread is logged at FINE or less level, this can be turned off.
`void` | `throwing(java.lang.Throwable throwable)` Deprecated. PUBLIC: This method is called when a throwable at finer level needs to be logged.
`void` | `warning(java.lang.String message)` Deprecated. PUBLIC: This method is called when a warning level message needs to be logged.

Field Detail

### OFF

    public static final int OFF

  Deprecated.
  See Also:
    Constant Field Values

### SEVERE

    public static final int SEVERE

  Deprecated.
  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Deprecated.
  See Also:
    Constant Field Values

### INFO

    public static final int INFO

  Deprecated.
  See Also:
    Constant Field Values

### CONFIG

    public static final int CONFIG

  Deprecated.
  See Also:
    Constant Field Values

### FINE

    public static final int FINE

  Deprecated.
  See Also:
    Constant Field Values

### FINER

    public static final int FINER

  Deprecated.
  See Also:
    Constant Field Values

### FINEST

    public static final int FINEST

  Deprecated.
  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  Deprecated.
  See Also:
    Constant Field Values

### SQL

    public static final java.lang.String SQL

  Deprecated.
  See Also:
    Constant Field Values

### TRANSACTION

    public static final java.lang.String TRANSACTION

  Deprecated.
  See Also:
    Constant Field Values

### EVENT

    public static final java.lang.String EVENT

  Deprecated.
  See Also:
    Constant Field Values

### CONNECTION

    public static final java.lang.String CONNECTION

  Deprecated.
  See Also:
    Constant Field Values

### QUERY

    public static final java.lang.String QUERY

  Deprecated.
  See Also:
    Constant Field Values

### CACHE

    public static final java.lang.String CACHE

  Deprecated.
  See Also:
    Constant Field Values

### PROPAGATION

    public static final java.lang.String PROPAGATION

  Deprecated.
  See Also:
    Constant Field Values

### SEQUENCING

    public static final java.lang.String SEQUENCING

  Deprecated.
  See Also:
    Constant Field Values

### EJB

    public static final java.lang.String EJB

  Deprecated.
  See Also:
    Constant Field Values

### DMS

    public static final java.lang.String DMS

  Deprecated.
  See Also:
    Constant Field Values

### EJB_ANNOTATION

    public static final java.lang.String EJB_ANNOTATION

  Deprecated.
  See Also:
    Constant Field Values

### WEAVER

    public static final java.lang.String WEAVER

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### log

    public void log(SessionLogEntry entry)

  Deprecated.
  PUBLIC: TopLink will call this method whenever something needs to be logged (messages, SQL, etc.). All the pertinent information will be contained in the specified entry.
  Parameters:
    `entry` - oracle.toplink.sessions.LogEntry

### log

    public void log(SessionLogEntry entry)

  Deprecated. Replaced by log(oracle.toplink.logging.SessionLogEntry)
  OBSOLETE:

### shouldLogDebug

    public boolean shouldLogDebug()

  Deprecated. replaced by level
  OBSOLETE:

### shouldLogExceptions

    public boolean shouldLogExceptions()

  Deprecated. replaced by level
  OBSOLETE:

### shouldLogExceptionStackTrace

    public boolean shouldLogExceptionStackTrace()

  Deprecated.
  By default the stack trace is logged for SEVERE all the time and at FINER level for WARNING or less, this can be turned off.

### shouldPrintDate

    public boolean shouldPrintDate()

  Deprecated.
  By default the date is always printed, this can be turned off.

### shouldPrintThread

    public boolean shouldPrintThread()

  Deprecated.
  By default the thread is logged at FINE or less level, this can be turned off.

### shouldPrintConnection

    public boolean shouldPrintConnection()

  Deprecated.
  By default the connection is always printed whenever available, this can be turned off.

### shouldPrintSession

    public boolean shouldPrintSession()

  Deprecated.
  By default the Session is always printed whenever available, this can be turned off.

### setShouldLogDebug

    public void setShouldLogDebug(boolean flag)

  Deprecated. replaced by level
  OBSOLETE:

### setShouldLogExceptions

    public void setShouldLogExceptions(boolean flag)

  Deprecated. replaced by level
  OBSOLETE:

### setShouldLogExceptionStackTrace

    public void setShouldLogExceptionStackTrace(boolean flag)

  Deprecated.
  By default stack trace is logged for SEVERE all the time and at FINER level for WARNING or less. This can be turned off.

### setShouldPrintDate

    public void setShouldPrintDate(boolean flag)

  Deprecated.
  By default date is printed, this can be turned off.

### setShouldPrintThread

    public void setShouldPrintThread(boolean flag)

  Deprecated.
  By default the thread is logged at FINE or less level, this can be turned off.

### setShouldPrintConnection

    public void setShouldPrintConnection(boolean flag)

  Deprecated.
  By default the connection is always printed whenever available, this can be turned off.

### setShouldPrintSession

    public void setShouldPrintSession(boolean flag)

  Deprecated.
  By default the Session is always printed whenever available, this can be turned off.

### getWriter

    public java.io.Writer getWriter()

  Deprecated.
  PUBLIC: Return the writer to which an accessor writes logged messages and SQL. If not set, this reference usually defaults to a writer on System.out. To enable logging, logMessages must be turned on in the session.

### setWriter

    public void setWriter(java.io.Writer log)

  Deprecated.
  PUBLIC: Set the writer to which an accessor writes logged messages and SQL. If not set, this reference usually defaults to a writer on System.out. To enable logging, logMessages() is used on the session.

### getLevel

    public int getLevel()

  Deprecated.
  PUBLIC: Return the log level. Used when session is not available.

### getLevel

    public int getLevel(java.lang.String category)

  Deprecated.
  PUBLIC: Return the log level. category is only needed where name space is available.

### setLevel

    public void setLevel(int level)

  Deprecated.
  PUBLIC: Set the log level. Used when session is not available.

### setLevel

    public void setLevel(int level,
                         java.lang.String category)

  Deprecated.
  PUBLIC: Set the log level. Category is only needed where name space is available.

### shouldLog

    public boolean shouldLog(int level)

  Deprecated.
  PUBLIC: Check if a message of the given level would actually be logged. Used when session is not available.

### shouldLog

    public boolean shouldLog(int level,
                             java.lang.String category)

  Deprecated.
  PUBLIC: Check if a message of the given level would actually be logged. Category is only needed where name space is available.

### log

    public void log(int level,
                    java.lang.String message)

  Deprecated.
  PUBLIC: Log a message that does not need to be translated. This method is intended for external use when logging messages are wanted within the TopLink output.

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object param)

  Deprecated.
  PUBLIC: Log a message with one parameter that needs to be translated.

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object param1,
                    java.lang.Object param2)

  Deprecated.
  PUBLIC: Log a message with two parameters that needs to be translated.

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object param1,
                    java.lang.Object param2,
                    java.lang.Object param3)

  Deprecated.
  PUBLIC: Log a message with three parameters that needs to be translated.

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object[] arguments)

  Deprecated.
  PUBLIC: This method is called when the log request is from somewhere session is not available. The message needs to be translated.

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object[] arguments,
                    boolean shouldTranslate)

  Deprecated.
  PUBLIC: This method is called when the log request is from somewhere session is not available. shouldTranslate flag determines if the message needs to be translated.

### throwing

    public void throwing(java.lang.Throwable throwable)

  Deprecated.
  PUBLIC: This method is called when a throwable at finer level needs to be logged.

### severe

    public void severe(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a severe level message needs to be logged. The message will be translated

### warning

    public void warning(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a warning level message needs to be logged. The message will be translated

### info

    public void info(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a info level message needs to be logged. The message will be translated

### config

    public void config(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a config level message needs to be logged. The message will be translated

### fine

    public void fine(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a fine level message needs to be logged. The message will be translated

### finer

    public void finer(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a finer level message needs to be logged. The message will be translated

### finest

    public void finest(java.lang.String message)

  Deprecated.
  PUBLIC: This method is called when a finest level message needs to be logged. The message will be translated

### logThrowable

    public void logThrowable(int level,
                             java.lang.Throwable throwable)

  Deprecated.
  PUBLIC: Log a throwable with level.

### getSession

    public Session getSession()

  Deprecated.
  PUBLIC: Get the session that owns this SessionLog.

### setSession

    public void setSession(Session session)

  Deprecated.
  PUBLIC: Set the session that owns this SessionLog.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD